/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/


#include "cdnssection.h"



CDnsSection::CDnsSection()
	{
	}

EXPORT_C const TDesC8& CDnsSection::Name()const
	{
	return iName;
	}

EXPORT_C void CDnsSection::SetNameL(const TDesC8& aName)
	{
	iName.Close();
	iName.CreateL(aName);
	}

EXPORT_C TUint16 CDnsSection::Type()const
	{
	return iType;
	}

EXPORT_C void CDnsSection::SetType(TUint16 aType)
	{
	iType = aType;
	}

EXPORT_C TUint16 CDnsSection::Class()const
	{
	return iClass;
	}

EXPORT_C void CDnsSection::SetClass(TUint16 aClass)
	{
	iClass = aClass;
	}

EXPORT_C CDnsSection::~CDnsSection()
	{
	iName.Close();
	}


